using Bimix.UI.Shared.Services;
using Microsoft.Extensions.DependencyInjection;

namespace Bimix.UI.Shared.Extensions;

public static class ServiceCollectionExtensions
{
    public static IServiceCollection AddSharedServices(this IServiceCollection services, string apiBaseUrl)
    {
        services.AddHttpClient<ProductService>(client =>
        {
            client.BaseAddress = new Uri(apiBaseUrl);
        });
        return services;
    }
    
}